<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
	
<h:head>
	<title><ui:insert name="pageTitle">Mekanisme Query</ui:insert></title>
		<h:outputStylesheet library="" name="materialize.css" />
	<h:outputScript library="" name="materialize.js" />
	<h:outputScript library="" name="materialize.js" />
	<h:outputScript library="" name="jquery-3.4.1.min.js" />
	<h:outputStylesheet library="" name="style.css" />
	<h:outputStylesheet library="" name="css/custome.css" />
	<meta name="viewport"
		content="width=device-width, initial-scale=1, shrink-to-fit=no" />
</h:head>

<h:body>
<!--  actionListener="#{SelectDataBean.basicSelectDataSederhana()}"-->
<div class="ui-g">
	<h:form name="mainMenu">
	
		<div class="ui-g-12 ui-md-12 ui-lg-4">
				<p:panelMenu style="width:310px">
				        <p:submenu label="Query Mechanism Of Selecting Data">
				        	<p:submenu label="Select Data" icon="">
				        		<p:menuitem value="Select All Data" url="/mq-final/select/basicSelectAllData.xhtml" /> 	
				        		<p:menuitem value="Select From Single Table" url="/mq-final/select/basicSelectDataSingleTable.xhtml" /> 					               
				                <p:menuitem value="Select Distinct"  url="/mq-final/select/basicSelectDataDistinc.xhtml"/>
					            <p:menuitem value="Select With Where Clause" url="/mq-final/select/basicSelectDataWhere.xhtml"/>
					            <p:menuitem value="Select From Multiple Table" url="/mq-final/select/basicSelectDataMultipleTable.xhtml"/>
					            <p:menuitem value="Select From With Like Clause"  url="/mq-final/select/basicSelectDataLike.xhtml"/>
					            <p:menuitem value="Select From With Order By Clause" url="/mq-final/select/basicSelectDataOrderBy.xhtml"/>
					            <p:menuitem value="Select From With Operator Clause" url="/mq-final/select/basicSelectDataOperator.xhtml"/>
					            <p:menuitem value="Select Average" url="/mq-final/select/basicSelectDataAvg.xhtml"/>
					            <p:menuitem value="Select Count"  url="/mq-final/select/basicSelectDataCount.xhtml"/>
					            <p:menuitem value="Select From With Group By Clause" url="/mq-final/select/basicSelectDataGroupBy.xhtml"/>
					            <p:menuitem value="Select Summary" url="/mq-final/select/basicSelectDataSum.xhtml"/>
					            <p:menuitem value="Select Max" url="/mq-final/select/basicSelectDataMax.xhtml"/>
					            <p:menuitem value="Select Min" url="/mq-final/select/basicSelectDataMin.xhtml"/>					            
				            </p:submenu>
				</p:submenu>			         
				<p:submenu label="Query Mechanism Of Inserting Data">
					<p:menuitem value="Insertion Order" url="/mq-final/manipulation/basicInsertData.xhtml"/>
				</p:submenu>
				<p:submenu label="Query Mechanism Of Updating Data">
					<p:menuitem value="Updation Order"  url="/mq-final/manipulation/basicUpdateData.xhtml"/>
				</p:submenu>
				<p:submenu label="Query Mechanism Of Deleting Data">
					<p:menuitem value="Deletion Order"  url="/mq-final/manipulation/basicDeleteData.xhtml"/>
				</p:submenu>
			</p:panelMenu>
		</div>
		

	</h:form>	
	<!-- <div class="ui-g-12 ui-md-12 ui-lg-0"/> -->
		<div class="ui-g-12 ui-md-12 ui-lg-8">
		<ui:insert name="content"></ui:insert>
			<h:form>
				<p:growl id="growl" showDetail="true" closable="true"
					autoUpdate="true" rendered="#{jenisMessage.growl}">
					<p:autoUpdate />
				</p:growl>
				<p:messages id="messages" showDetail="true" closable="true"
					rendered="#{!jenisMessage.growl}" showIcon="true">
					<p:autoUpdate />
				</p:messages>
			</h:form>
		</div>
			
</div>	
</h:body>
</html>